<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head') %>
  <link rel="stylesheet" href="/css/style.css">
  <link rel="stylesheet" href="/css/checkoutCss/checkout.css">
</head>

<body>
  <%- include('../partials/navbar') %>
  <header>
    <div class="col headerAfter d-flex flex-column justify-content-center align-items-center">
      <h1 class='text-black'>Pembayaran</h1>
      <hr>
    </div>
  </header>
  <main class="container my-5">
    <div class="row justify-content-between">
      <div class="col-6 left-side">
        <h4>Pembayaran</h4>
        <ul class="nav nav-tabs justify-content-center my-4">
          <li class="nav-item mr-5" role='presentation'>
            <a href="#tabs-1" class="nav-link btn btn-dark active" data-mdb-toggle='pill' role='tab'
              aria-selected="true">
              Kartu Kredit/Debit <i class="far fa-credit-card"></i>
            </a>
          </li>
          <li class="nav-item" role='presentation'>
            <a class="nav-link btn btn-dark" data-mdb-toggle='pill' href='#tabs-2' role='tab'>
              Transfer ke Bank BCA
            </a>
          </li>
        </ul>

        <div class="tab-content">
          <div class="tab-pane fade show active" id="tabs-1" role='tabpanel'>
            <form action="/checkout/charge/<%= course.id %>" method='POST'
              class='d-flex flex-column justify-content-center align-items-center' id='paymentForm'>
              <div class="container custom-form">
                <div class="cards-container d-flex justify-content-center my-4">
                  <img src="/img/cards.svg" alt="">
                </div>
                <div class="form-floating">
                  <input type="text" id='cardName' class='form-control' name='cardName' placeholder='jane doe'>
                  <label for="cardName">Nama di kartu</label>
                </div>
                <div class="form-floating">
                  <div id="card-number" class='form-control mt-4' placeholder="Insert card number"></div>
                  <label for="card-number">Nomor Kartu</label>
                </div>
                <div id="number-errors" class='mb-4 text-danger' role='alert'></div>

                <div class="d-flex">
                  <div id="card-expiry" class='form-control col-2 mr-4'></div>

                  <div id="card-cvc" class='form-control col-2 mx-3'></div>
                  <img src="/img/CVC.svg" alt="">
                </div>
                <div id="expiry-errors" class='mt-2 text-danger' role='alert'></div>
                <div id="cvc-errors" class='my-2 text-danger' role='alert'></div>
                <div class="d-flex justify-content-end">
                  <img src="/img/securePayment.svg" alt="" class=''>
                </div>
              </div>
              <input id='clientSecret' type="hidden" name="clientSecret" value='<%= clientSecret %>'>
              <button type="submit" class='btn btn-danger w-100 p-4 mt-5' id="paymentBtn" disabled>Selesaikan
                Pembayaran</button>
            </form>

          </div>

          <div class="tab-pane fade" id='tabs-2' role='tabpanel'>
            <div class="container custom-form">
              <p>Masukkan info rekening bank pembayaran Anda sesuai dengan yang tertera pada buku tabungan</p>

              <div class="row">
                <div class="col">
                  <div class="form-floating form-group">
                    <input type="text" class='form-control' name='namaBank' placeholder='BCA'>
                    <label for="namaBank">Nama Bank</label>
                  </div>
                </div>
                <div class="col">
                  <div class="form-floating form-group">
                    <input type="text" class='form-control' name='namaBank' placeholder='1234567890'>
                    <label for="namaBank">Nomor Rekening</label>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col">
                  <div class="form-floating form-group">
                    <input type="text" class="form-control" placeholder='jane doe' name='pemilikRek'>
                    <label for="pemilikRek">Nama Pemilik Rekening</label>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col">
                  <ul>
                    <li>
                      <p>Untuk pembayaran melalui teller bank, isi "Nomor Rekening" dengan 000 dan "Nama Pemilik
                        Rekening" dengan nama anda</p>
                    </li>
                    <li>
                      <p>Simpan dan upload bukti transfer melalui email <a href="#">cs@mamasakan.com</a> untuk
                        mempercepat proses verifikasi pembayaran Anda</p>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-5 right-side d-flex flex-column justify-content-between">
        <div class="container">
          <h4>Kelas yang Kamu Pilih</h4>
          <div class="card flex-row align-items-center">
            <img src="<%= course.previewUrl %>" alt="" class="card-img-left">
            <div class="card-body">
              <p class='card-title'><%= course.title %></p>
            </div>
          </div>
          <p>*Paket kelas lengkap dengan tips & tricks beserta video tutorial yang bisa diakses selamanya</p>
        </div>
        <div class="bg-custom">
          <h3 class='font-weight-bolder'>Total: Rp.<%= course.price %></h3>
        </div>
      </div>

    </div>

    </div>
  </main>

  <%- include('../partials/footer') %>
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.3.0/mdb.min.js"></script>
  <script src="https://js.stripe.com/v3/"></script>
  <script src="/js/stripe.js"></script>
</body>

</html>